Introduction
Changelog
Usage
Authentication
Headers
Errors
Rate Limiting
Webhooks
OAuth 2.0
User
Devices
Aggregation
Bills
Budgets
Challenges
CDR
Configuration
Contacts
Events
Goals
Messages
Pay Day
Reports
Surveys
Calculators
Images
Financial Passport
Users
Accounts
Transactions
post

/payments/payanyone

source_description, destination_description and payment_date are all optional.

payment_date can be up to 12 months in the future.

Authorization

oauth2 - password
oauth2 - authorizationCode
oauth2 - clientCredentials
apiKey - Authorization

Request Parameters

7 Headers

Request Body

1 Example
Schema
object
$schema: http://json-schema.org/draft-04/schema#
payment_date
string

The date the payment should be made.

source_account_id
integer

ID of the account the payment should be made from

3 validations + required
bsb
string

BSB number of the payee

required
account_number
string

Account number of the payee

required
account_holder
string

Account holder name of the payee

required
amount
string

Amount to be paid to the payee

required
description
string

Description of the payment that the payee will see

reference
string

Transaction reference for the payer’s details

Responses

1 Example
Schema
object
$schema: http://json-schema.org/draft-04/schema#
amount
string

Amount paid to the payee

required
payment_date
string

The date the payment was made.

required
destination_account_id
integer

The ID of the account the payment was made to

3 validations + required
destination_account_holder
string

Account holder name of the payee

required
source_account_id
integer

ID of the account the payment was made from

3 validations + required
source_account_name
string

Name of the account the payment was made from

required
description
string

Description of the payment that the payee can see

required
transaction_reference
string

Transaction reference for the payer’s details

required
status
string

Payment status

  • confirmed - Payment has been made and confirmed
  • scheduled - Payment scheduled to be made in the future
1 validation + required

Send a Test Request

Send requests directly from the browser (CORS must be enabled)
$$.env
1 variable not set
Authorization